Skip to content

Supported Images List

GET
/gpu_service/image/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/gpu_service/image/?category=<CATEGORY>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns all available notebook images and their versions. Use the image_version_id from the response when calling the SKU List API for notebooks.

category
required
string
Allowed values: notebook

Category

is_advanced_search
boolean

Specifies if advanced filters should be applied.

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

A list of available images with their details and versions

Media typeapplication/json
object
code
integer
data
Array<object>
object
image_id
integer
name
string
slug_name
string
versions
Array<object>
object
image_version_id
integer
version
string
cpu_image_url
string
nullable
gpu_image_url
string
description
string
icon_url
string
description
string

Example

{
"code": 200,
"data": [
{
"image_id": 9,
"name": "Transformers",
"slug_name": "nvidia-pytorch-transformers",
"versions": [
{
"image_version_id": 56,
"version": "v4.45.2",
"cpu_image_url": "registry.e2enetworks.net/aimle2e/nvidia-pytorch-transformers:24.03-2.3.0-4.45.2",
"gpu_image_url": "registry.e2enetworks.net/aimle2e/nvidia-pytorch-transformers:24.03-2.3.0-4.45.2",
"description": "Transformers v4.45.2 with Python 3.10 and NVIDIA Cuda 12.4 pre-installed on Ubuntu 22.04"
}
],
"icon_url": "/notebook_images/hf-logo.png",
"description": "Transformers v4.31.0 with Python 3.10 and NVIDIA Cuda 12.1 pre-installed on Ubuntu 22.04"
}
]
}